## nspark 1.7.8B2+git20210317.cb30779

=== testprog/CMakeLists.txt ===
add_executable(testpack pack.c)
target_link_libraries (testpack nsparklib)
