=== debian/changelog ===
nspark (1.7.8B2+git20210317.cb30779-2) unstable; urgency=medium

  * Rewrite description (Closes: #996472)

 -- Dave Lambley <dave@lambley.me.uk>  Thu, 14 Oct 2021 19:36:58 +0000

nspark (1.7.8B2+git20210317.cb30779-1) unstable; urgency=medium

  * Initial release (Closes: #984591)

 -- Dave Lambley <dave@lambley.me.uk>  Sat, 05 Jun 2021 18:41:17 +0100
