=== debian/control ===
Source: nspark
Section: non-free/utils
Priority: optional
Maintainer: Dave Lambley <dave@lambley.me.uk>
Build-Depends: cmake, debhelper-compat (= 13)
Standards-Version: 4.5.1
Homepage: https://github.com/mjwoodcock/nspark
Vcs-Browser: https://repo.or.cz/debian-nspark.git
Vcs-Git: https://repo.or.cz/debian-nspark.git
Rules-Requires-Root: no
XS-Autobuild: yes

Package: nspark
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Unarchiver for Spark and ArcFS files
 nspark "New Spark unarchiver" supports extracting from Spark and ArcFS files,
 which originate on RISC OS. It is a cross platform rewrite of David Pilling's
 original !Spark for RISC OS.
# "!Spark" (with exclamation mark prefix) used for consistency with nspark's
# documentation.
