=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=1.7.8B2+git%cd.%h" \
https://github.com/mjwoodcock/nspark \
HEAD debian uupdate
